# Demo1"

 set thisDir [file normalize [file dirname [info script]]]

  # just for stand-alone demo, provide a link for the required packages
  # NOTE: for regular use, it is assumed they are already
  #       installed under one of the $auto_path directories.
 lappend auto_path [file join $thisDir .. lib]
 lappend auto_path [file join $thisDir ..]


 # create a sample table
package require Tablelist

pack [tablelist::tablelist .txx] -expand 1 -fill both
set columnList {aaa bbb ccc ddd eee fff ggg hhh iii jjj kkk lll mmm nnn ooo ppp qqq}
foreach c $columnList {
    .txx insertcolumns end 0 "$c" center
    .txx columnconfigure end -name $c
}
.txx configure -stripebackground	#e0e8f0
.txx configure -movablecolumns 1
.txx configure -showsep 1
.txx configure -width 0

 # some data ..
for {set row 0} {$row<10} {incr row} {
    set values {}
    foreach c $columnList {
        lappend values ${c}-${row}
    }
    .txx insert $row $values
}
 
 
 
 # Attach the ColumnCtrl control

package require Tablelist::ColumnCtrl

tablelist::columnctrl::attach .txx


