# Demo2"

# Two Tablelists with ColumnCtrl


 set thisDir [file normalize [file dirname [info script]]]

  # just for stand-alone demo, provide a link for the required packages
  # NOTE: for regular use, it is assumed they are already
  #       installed under one of the $auto_path directories.
 lappend auto_path [file join $thisDir .. lib]
 lappend auto_path [file join $thisDir ..]


package require Tablelist

proc newTable { tb }  {
    tablelist::tablelist $tb
    set columnList {aaa bbb ccc ddd eee fff ggg hhh iii jjj kkk lll mmm nnn ooo ppp qqq}
    foreach c $columnList {
        $tb insertcolumns end 0 "$c" center
        $tb columnconfigure end -name $c
    }
    $tb configure -stripebackground	#e0e8f0
    $tb configure -movablecolumns 1
    $tb configure -showsep 1
    $tb configure -width 0
    
     # some data ..
    for {set row 0} {$row<10} {incr row} {
        set values {}
        foreach c $columnList {
            lappend values ${c}-${row}
        }
        $tb insert $row $values
    }
    pack $tb -expand 1 -fill both
} 
 

 # create two tables
set tb1 .tbl1
set tb2 [toplevel .x].tbl2
newTable $tb1
newTable $tb2

 
 # Attach the ColumnCtrl control

package require Tablelist::ColumnCtrl

tablelist::columnctrl::attach $tb1
tablelist::columnctrl::attach $tb2


