# Demo2"

# Demo for the -nevershow/-neverhide properties.


 set thisDir [file normalize [file dirname [info script]]]

  # just for stand-alone demo, provide a link for the required packages
  # NOTE: for regular use, it is assumed they are already
  #       installed under one of the $auto_path directories.
 lappend auto_path [file join $thisDir .. lib]
 lappend auto_path [file join $thisDir ..]


package require Tablelist

proc newTable { tb }  {
    tablelist::tablelist $tb
    set columnList {InternalID InternalCheck UserID aaa bbb ccc}
    foreach c $columnList {
        $tb insertcolumns end 0 "$c" center
        $tb columnconfigure end -name $c
    }
    $tb configure -stripebackground	#e0e8f0
    $tb configure -movablecolumns 1
    $tb configure -showsep 1
    $tb configure -width 0
    
     # InternalID and InternalCheck are hidden columns.     
    $tb columnconfigure InternalID -hide true
    $tb columnconfigure InternalCheck -hide true

     # some data ..
    for {set row 0} {$row<10} {incr row} {
        set values {}
        foreach c $columnList {
            lappend values xxx-${row}
        }
        $tb insert $row $values
    }
} 
 

 # create the table
set tb1 .tbl1
newTable $tb1
pack $tb1 -expand 1 -fill both 
 # Attach the ColumnCtrl control

package require Tablelist::ColumnCtrl

tablelist::columnctrl::attach $tb1
tablelist::columnctrl::configure $tb1 -nevershow { InternalID InternalCheck }
tablelist::columnctrl::configure $tb1 -neverhide { UserID }

