# Demo with "embeddedWindows_tile.tcl"

 set thisDir [file normalize [file dirname [info script]]]

  # just for stand-alone demo, provide a link for the required packages
  # NOTE: for regular use, it is assumed they are already
  #       installed under one of the $auto_path directories.
 lappend auto_path [file join $thisDir .. lib]
 lappend auto_path [file join $thisDir ..]


source [file join $thisDir embeddedWindows_tile.tcl]

 # FIX a lacking of the above demo:
 #   add a name to the unnamed columns
 #   MANDATORY: each column must have a unique name
$tbl columnconfigure 1 -name barchart
$tbl columnconfigure 3 -name view


package require Tablelist::ColumnCtrl
tablelist::columnctrl::attach $tbl
